Subject: Re: Netlink NLM_F_DUMP_INTR flag lost

From: Jakub Kicinski <[email-masked]>
Date: Thu, 23 Jun 2022 12:03:07 -0700

On Thu, 23 Jun 2022 11:31:34 -0600 David Ahern wrote:
> >> All of the dumps should be checking the consistency at the end of the
> >> dump - regardless of any remaining entries on a particular round (e.g.,
> >> I mentioned this what the nexthop dump does). Worst case then is DONE
> >> and INTR are set on the same message with no data, but it tells
> >> explicitly the set of data affected.  
> > 
> > Okay, perhaps we should put a WARN_ON_ONCE(seq && seq != prev_seq)
> > in rtnl_dump_all() then, to catch those who get it wrong.  
> 
> with '!(nlh->msg_flags & INTR)' to catch seq numbers not matching and
> the message was not flagged?

Yup.

Ismael, do you want to send a patch for either version of the solution
or do you expect one of us to do it?